### Method

# Tsparql SparqlConnection close_async

#### Declaration [src]

    void
    tracker_sparql_connection_close_async (
      TrackerSparqlConnection* connection,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Closes a SPARQL connection asynchronously.

No other API calls than `g_object_unref()` should happen after this call.

This method completes asynchronously. Use `tracker_sparql_connection_close_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when the asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.